Bug 1468971 - Review Request: freshmaker - A service scheduling rebuilds of artifacts as new content becomes available
Review Request: freshmaker - A service scheduling rebuilds of artifacts as ne...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 02:44 EDT by Qixiang Wan
Modified: 2017-10-25 19:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-25 19:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Qixiang Wan 2017-07-10 02:44:39 EDT
Spec URL: https://fedorapeople.org/~qwan/freshmaker/freshmaker.spec
SRPM URL: https://fedorapeople.org/~qwan/freshmaker/freshmaker-0.0.4-1.src.rpm
Description: 

Hi! I have packaged up freshmaker and would appreciate a review so we can get it into Fedora.

Freshmaker is a service scheduling rebuilds of artifacts as new content becomes available. For example, when modulemd yaml of a module changed in dist-git and freshmaker received the message from fedmsg, an event will be generated and triggers a rebuild of that module by sending a module build request to Module Build System.

More detail info can refer to: https://pagure.io/freshmaker

Fedora Account System Username: qwan
Comment 1 Igor Gnatenko 2017-07-10 04:08:35 EDT
Quick note from the beginning, a lot of python- prefixed packages. Those must be python2- (if python2 version is needed) and like it is only if python2- prefixed packages don't exist.

Also, if you use koji as a python library you must requires python2-koji instead of koji.
Comment 2 Qixiang Wan 2017-07-10 05:16:17 EDT
Hi Igor,

Thanks for your comments, the remaining python-* packages are all available in python-* prefix only which I checked in fedora koji build system.

python2-koji is available from koji-1.13 on fedora >= 25, so I have change the spec to have:

%if 0%{?fedora} && 0%{?fedora} >= 25
BuildRequires:    python2-koji
%else
BuildRequires:    koji
%endif

%if 0%{?fedora} && 0%{?fedora} >= 25
Requires:    python2-koji
%else
Requires:    koji
%endif
Comment 3 Igor Gnatenko 2017-07-10 05:18:18 EDT
(In reply to Qixiang Wan from comment #2)
> Hi Igor,
> 
> Thanks for your comments, the remaining python-* packages are all available
> in python-* prefix only which I checked in fedora koji build system.
pyOpenSSL -> python2-pyOpenSSL
python-six -> python2-six
python-sqlalchemy -> python2-sqlalchemy
...
> 
> python2-koji is available from koji-1.13 on fedora >= 25, so I have change
> the spec to have:
> 
> %if 0%{?fedora} && 0%{?fedora} >= 25
> BuildRequires:    python2-koji
> %else
> BuildRequires:    koji
> %endif
> 
> %if 0%{?fedora} && 0%{?fedora} >= 25
> Requires:    python2-koji
> %else
> Requires:    koji
> %endif
This is wrong, python2-koji is available everywhere.
Comment 4 Qixiang Wan 2017-07-10 05:32:50 EDT
(In reply to Igor Gnatenko from comment #3)
> (In reply to Qixiang Wan from comment #2)
> > Hi Igor,
> > 
> > Thanks for your comments, the remaining python-* packages are all available
> > in python-* prefix only which I checked in fedora koji build system.
> pyOpenSSL -> python2-pyOpenSSL
> python-six -> python2-six
> python-sqlalchemy -> python2-sqlalchemy
> ...

I see, I only checked the package name, but they are available as sub-packages. I will check all these python-* packages. Thanks for pointing this out.

> > 
> > python2-koji is available from koji-1.13 on fedora >= 25, so I have change
> > the spec to have:
> > 
> > %if 0%{?fedora} && 0%{?fedora} >= 25
> > BuildRequires:    python2-koji
> > %else
> > BuildRequires:    koji
> > %endif
> > 
> > %if 0%{?fedora} && 0%{?fedora} >= 25
> > Requires:    python2-koji
> > %else
> > Requires:    koji
> > %endif
> This is wrong, python2-koji is available everywhere.

I checked this with koji build system:
this is a koji-1.12 build, and it doesn't have python2-koji sub-package: https://koji.fedoraproject.org/koji/buildinfo?buildID=900888

and this is a koji-1.13 build, which includes python2-koji:
https://koji.fedoraproject.org/koji/buildinfo?buildID=900888

If I understand it correctly, koji doesn't support python3 prior to 1.13, so there is no python2-koji for old versions, and I didn't see 1.13 builds for fedora <=24 in: https://koji.fedoraproject.org/koji/packageinfo?packageID=1181, so I think we need to check fedora dist for koji.
Comment 5 Qixiang Wan 2017-07-10 06:23:59 EDT
(In reply to Qixiang Wan from comment #4)
> (In reply to Igor Gnatenko from comment #3)
> > (In reply to Qixiang Wan from comment #2)
> > > Hi Igor,
> > > 
> > > Thanks for your comments, the remaining python-* packages are all available
> > > in python-* prefix only which I checked in fedora koji build system.
> > pyOpenSSL -> python2-pyOpenSSL
> > python-six -> python2-six
> > python-sqlalchemy -> python2-sqlalchemy
> > ...
> 
> I see, I only checked the package name, but they are available as
> sub-packages. I will check all these python-* packages. Thanks for pointing
> this out.
> 

Had another check against these python-* packages:

python-enum34: Latest build doesn't has python2-enum34, only old versions has python2-enum, so doesn't need to change this.

python-fedora: Latest build has python2-fedora on fedora >= 24, but not actually available even in fedora 25 updates, so I'd like to keep python-fedora.

pyOpenSSL: Latest build has python2-pyOpenSSL on fedora >= 26, but since fedora 26 is not GA yet, I'd like to keep pyOpenSSL and update it after 26 GA if necessary.

python-six, python-sqlalchemy: similar to pyOpenSSL, there are only python2- versions for them from fedora 26.

python-flask-script, python-httplib2, python-munch: All available with python-* packages only.


Based on that, I think it's unnecessary to change the existing remaining python-* packages at this moment.
Comment 6 Qixiang Wan 2017-07-10 06:47:59 EDT
Beside of that, I found python2-koji is not available for Fedora 25 from updates repo yet, so it can cause problem to have python2-koji before it's available in updates.

python2-koji can not be found in:
https://download-ib01.fedoraproject.org/pub/fedora/linux/updates/25/x86_64/p/
Comment 7 Qixiang Wan 2017-07-17 06:43:39 EDT
Updated some of the python- prefix packages per comments from Igor.

Spec URL: https://fedorapeople.org/~qwan/freshmaker/freshmaker.spec
SRPM URL: https://fedorapeople.org/~qwan/freshmaker/freshmaker-0.0.4-1.fc26.src.rpm
Comment 9 Igor Gnatenko 2017-07-18 19:26:28 EDT
apart from broken SourceURL and useless systemd requires/buildrequires, I can't complain about anything ;)
Comment 10 Gwyn Ciesla 2017-07-26 08:40:32 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/freshmaker
Comment 11 Fedora Update System 2017-09-11 02:26:47 EDT
freshmaker-0.0.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3b2316552a
Comment 12 Fedora Update System 2017-09-11 20:50:41 EDT
freshmaker-0.0.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3b2316552a
Comment 13 Fedora Update System 2017-10-18 07:43:28 EDT
freshmaker-0.0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5980624af0
Comment 14 Fedora Update System 2017-10-18 17:17:29 EDT
freshmaker-0.0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5980624af0
Comment 15 Fedora Update System 2017-10-25 19:56:08 EDT
freshmaker-0.0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.